## ZendX_JQuery_Form_Decorator_UiWidgetElement

Description

Implements interfaces:

- ZendX_JQuery_Form_Decorator_UiWidgetElementMarker

Abstract Form Decorator for all jQuery UI Form Elements

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License

Located in /JQuery/Form/Decorator/UiWidgetElement.php (line 41)

    Zend_Form_Decorator_ViewHelper
       |
       --ZendX_JQuery_Form_Decorator_UiWidgetElement

Variable Summary
ZendX_JQuery_View_Helper_UiWidget $helper
array $_attribs
array $_jQueryParams
Method Summary
array getElementAttribs ()
mixed|null getJQueryParam (string $key)
array getJQueryParams ()
string render (string $content)
ZendX_JQuery_Form_Decorator_UiWidgetElement setJQueryParam (string $key, mixed $value)
ZendX_JQuery_Form_Decorator_UiWidgetElement setJQueryParams ( $params)
Variables
ZendX_JQuery_View_Helper_UiWidget $helper (line 57)

jQuery UI View Helper

- access: public

array $_attribs (line 50)

Element attributes

- access: protected

array $_jQueryParams = array() (line 64)

jQuery related attributes/options

- access: protected

Methods
getElementAttribs (line 71)

Get element attributes

- access: public

array getElementAttribs ()
getJQueryParam (line 116)

Retrieve a single jQuery option parameter

- access: public

mixed|null getJQueryParam (string $key)

- string $key

getJQueryParams (line 132)

Get jQuery option parameters

- access: public

array getJQueryParams ()
render (line 145)

Render an jQuery UI Widget element using its associated view helper

- throws: Zend_Form_Decorator_Exception if element or view are not registered
- access: public

string render (string $content)

- string $content

setJQueryParam (line 92)

Set a single jQuery option parameter

- access: public

ZendX_JQuery_Form_Decorator_UiWidgetElement setJQueryParam (string $key, mixed $value)

- string $key
- mixed $value

setJQueryParams (line 104)

Set jQuery option parameters

- access: public

ZendX_JQuery_Form_Decorator_UiWidgetElement setJQueryParams ( $params)

- array $params

Documentation generated on Mon, 24 Aug 2009 17:58:50 -0700 by phpDocumentor 1.4.2